Bug 1397345 (CVE-2016-7426) - CVE-2016-7426 ntp: Client rate limiting and server responses
Summary: CVE-2016-7426 ntp: Client rate limiting and server responses
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7426
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1397351 1411642 1411643 1411644 1411645
Blocks: 1397349
TreeView+ depends on / blocked
 
Reported: 2016-11-22 10:56 UTC by Adam Mariš
Modified: 2019-09-29 14:00 UTC (History)
6 users (show)

Fixed In Version: ntp-4.2.8p9
Doc Type: If docs needed, set a value
Doc Text:
It was found that when ntp is configured with rate limiting for all associations the limits are also applied to responses received from its configured sources. A remote attacker who knows the sources can cause a denial of service by preventing ntpd from accepting valid responses from its sources.
Clone Of:
Environment:
Last Closed: 2017-02-06 06:50:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0252 normal SHIPPED_LIVE Moderate: ntp security update 2017-02-06 11:16:56 UTC

Description Adam Mariš 2016-11-22 10:56:41 UTC
When ntpd is configured with rate limiting for all associations (restrict default limited in ntp.conf), the limits are applied also to responses received from its configured sources. An attacker who knows the sources (e.g., from an IPv4 refid in server response) and knows the system is (mis)configured in this way can periodically send packets with spoofed source address to keep the rate limiting activated and prevent ntpd from accepting valid responses from its sources.

External References:

http://support.ntp.org/bin/view/Main/NtpBug3071

Comment 1 Adam Mariš 2016-11-22 11:09:12 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1397351]

Comment 2 Huzaifa S. Sidhpurwala 2016-12-14 08:14:56 UTC
Mitigation:

If you choose to use restrict default limited ..., be sure to use restrict source ... (without limited) to avoid this attack.

Comment 4 Keyur Pujara 2017-01-16 11:30:27 UTC
Is an RPM released with fix for this. I haven't seen one @ http://mirror.centos.org. 

If not released, what is ETA for same?

Thanks, Keyur

Comment 5 errata-xmlrpc 2017-02-06 06:17:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0252 https://rhn.redhat.com/errata/RHSA-2017-0252.html


Note You need to log in before you can comment on or make changes to this bug.